OpenCV: cv::cuda::HoughLinesDetector Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::cuda::HoughLinesDetector Class Referenceabstract
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Image Processing » Hough Transform

Base class for lines detector algorithm. : More...

`#include "cudaimgproc.hpp"`

Inheritance diagram for cv::cuda::HoughLinesDetector:

## Public Member Functions
virtual void | detect (InputArray src, OutputArray lines, Stream &stream=Stream::Null())=0
| Finds lines in a binary image using the classical Hough transform. More...
virtual void | downloadResults (InputArray d_lines, OutputArray h_lines, OutputArray h_votes=noArray(), Stream &stream=Stream::Null())=0
| Downloads results from cuda::HoughLinesDetector::detect to host memory. More...
virtual bool | getDoSort () const =0
virtual int | getMaxLines () const =0
virtual float | getRho () const =0
virtual float | getTheta () const =0
virtual int | getThreshold () const =0
virtual void | setDoSort (bool doSort)=0
virtual void | setMaxLines (int maxLines)=0
virtual void | setRho (float rho)=0
virtual void | setTheta (float theta)=0
virtual void | setThreshold (int threshold)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Base class for lines detector algorithm. :

## Member Function Documentation

## ◆ detect()

virtual void cv::cuda::HoughLinesDetector::detect | ( | InputArray | src,
|  | OutputArray | lines,
|  | Stream & | stream = `Stream::Null()`
| ) |  |
| pure virtual

Finds lines in a binary image using the classical Hough transform.

Parameters

  src | 8-bit, single-channel binary source image.
  lines | Output vector of lines. Each line is represented by a two-element vector \((\rho, \theta)\) . \(\rho\) is the distance from the coordinate origin \((0,0)\) (top-left corner of the image). \(\theta\) is the line rotation angle in radians ( \(0 \sim \textrm{vertical line}, \pi/2 \sim \textrm{horizontal line}\) ).
  stream | Stream for the asynchronous version.

See also
  HoughLines

## ◆ downloadResults()

virtual void cv::cuda::HoughLinesDetector::downloadResults | ( | InputArray | d_lines,
|  | OutputArray | h_lines,
|  | OutputArray | h_votes = `noArray()`,
|  | Stream & | stream = `Stream::Null()`
| ) |  |
| pure virtual

Downloads results from cuda::HoughLinesDetector::detect to host memory.

Parameters

  d_lines | Result of cuda::HoughLinesDetector::detect .
  h_lines | Output host array.
  h_votes | Optional output array for line's votes.
  stream | Stream for the asynchronous version.

## ◆ getDoSort()

virtual bool cv::cuda::HoughLinesDetector::getDoSort | ( |  | ) | const
| pure virtual

## ◆ getMaxLines()

virtual int cv::cuda::HoughLinesDetector::getMaxLines | ( |  | ) | const
| pure virtual

## ◆ getRho()

virtual float cv::cuda::HoughLinesDetector::getRho | ( |  | ) | const
| pure virtual

## ◆ getTheta()

virtual float cv::cuda::HoughLinesDetector::getTheta | ( |  | ) | const
| pure virtual

## ◆ getThreshold()

virtual int cv::cuda::HoughLinesDetector::getThreshold | ( |  | ) | const
| pure virtual

## ◆ setDoSort()

virtual void cv::cuda::HoughLinesDetector::setDoSort | ( | bool | doSort | ) |
| pure virtual

## ◆ setMaxLines()

virtual void cv::cuda::HoughLinesDetector::setMaxLines | ( | int | maxLines | ) |
| pure virtual

## ◆ setRho()

virtual void cv::cuda::HoughLinesDetector::setRho | ( | float | rho | ) |
| pure virtual

## ◆ setTheta()

virtual void cv::cuda::HoughLinesDetector::setTheta | ( | float | theta | ) |
| pure virtual

## ◆ setThreshold()

virtual void cv::cuda::HoughLinesDetector::setThreshold | ( | int | threshold | ) |
| pure virtual

The documentation for this class was generated from the following file:

- cudaimgproc/include/opencv2/cudaimgproc.hpp